import { __require as requirePropertyDescriptor } from "./records/property-descriptor.js";
var isFullyPopulatedPropertyDescriptor;
var hasRequiredIsFullyPopulatedPropertyDescriptor;
function requireIsFullyPopulatedPropertyDescriptor() {
  if (hasRequiredIsFullyPopulatedPropertyDescriptor) return isFullyPopulatedPropertyDescriptor;
  hasRequiredIsFullyPopulatedPropertyDescriptor = 1;
  var isPropertyDescriptor = requirePropertyDescriptor();
  isFullyPopulatedPropertyDescriptor = function isFullyPopulatedPropertyDescriptor2(ES, Desc) {
    return isPropertyDescriptor(Desc) && "[[Enumerable]]" in Desc && "[[Configurable]]" in Desc && (ES.IsAccessorDescriptor(Desc) || ES.IsDataDescriptor(Desc));
  };
  return isFullyPopulatedPropertyDescriptor;
}
export {
  requireIsFullyPopulatedPropertyDescriptor as __require
};
